classification
Title: Add a warnings.showwarning replacement for logging
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: vinay.sajip Nosy List: brett.cannon, vinay.sajip
Priority: normal Keywords: easy

Created on 2008-11-21 23:21 by brett.cannon, last changed 2010-06-30 18:07 by eric.araujo. This issue is now closed.

Messages (2)
msg76221 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-11-21 23:21
It would be nice if the logging package provided a replacement for
warnings.showwarning() so that all warning redirect to the logging package.
msg76851 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2008-12-03 23:28
Checked into trunk, r67511.
History
Date User Action Args
2010-06-30 18:07:11eric.araujosetstage: needs patch -> resolved
versions: + Python 3.1, Python 2.7
2008-12-03 23:28:27vinay.sajipsetstatus: open -> closed
resolution: fixed
messages: + msg76851
2008-11-21 23:24:11benjamin.petersonsetassignee: vinay.sajip
nosy: + vinay.sajip
2008-11-21 23:21:38brett.cannoncreate